// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlBin")]
    pub struct Bin(Object<ffi::DzlBin, ffi::DzlBinClass>) @extends gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_bin_get_type(),
    }
}

impl Bin {
    pub const NONE: Option<&'static Bin> = None;

    #[doc(alias = "dzl_bin_new")]
    pub fn new() -> Bin {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_bin_new()).unsafe_cast() }
    }
}

impl Default for Bin {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for Bin {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("Bin")
    }
}
